Quantcast
Channel: Manufacturing DevBlog
Viewing all articles
Browse latest Browse all 516

Why can I not convert linear Edges to Lines?

$
0
0

By Augusto Goncalves

Why can I not convert linear Edges to Lines? Perhaps the name is a bit misleading, but Line in Inventor API represents a straight line with infinite length. It only has a 'RootPoint' and a 'Direction'. In most scenarios, the LineSegment object can do the trick.

Dim oDoc AsPartDocument

oDoc = m_inventorApplication.ActiveDocument

Dim oEdge AsEdge

oEdge = oDoc.ComponentDefinition.SurfaceBodies(1).Faces(1).Edges(1)

Dim oLineSeg AsLineSegment

IfTypeOf oEdge.Geometry IsLineSegmentThen

  oLineSeg = oEdge.Geometry

EndIf


Viewing all articles
Browse latest Browse all 516

Trending Articles